This package browser is in early development. Mind the rough edges.

kdelibs4support 5.98.0

KDE Frameworks 5 porting aid from KDELibs4

This framework provides code and utilities to ease the transition from kdelibs 4 to KDE Frameworks 5. This includes CMake macros and C++ classes whose functionality has been replaced by code in CMake, Qt and other frameworks.

Code should aim to port away from this framework eventually. The API documentation of the classes in this framework and the notes at http://community.kde.org/Frameworks/Porting_Notes should help with this.

Installation

Install kdelibs4support 5.98.0 as follows:

guix install kdelibs4support@5.98.0

Or install the latest version:

guix install kdelibs4support

You can also install packages in augmented, pure or containerized environments for development or simply to try them out without polluting your user profile. See the guix shell documentation for more information.